> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/reference/data-access.md).

# Data access

Managing data access can often feel like busywork for researchers. You're only trying to do good with the data, otherwise you wouldn't have spent all those years in grad school.

However, some of the most rich and useful research data has profound privacy implications. It is essential that the research community remains good stewards of such data, and to this end Redivis provides data managers with robust, highly configurable access control tools.

While absolutely necessary, the Redivis access system is built with researchers' time in mind. Specifically, data access on Redivis is:

1. **Simple:** [Apply for and manage access](https://docs.redivis.com/reference/data-access/requesting-access.md) to datasets all in one place, using an intuitive and clean UI
2. **Transparent:** See all the steps required to gain access before you start out. [Customizable access levels](https://docs.redivis.com/reference/data-access/access-levels.md) allow data owners to share as much information about the dataset as possible, without compromising the underlying security of the data.
3. **Robust:** The rules are the rules, and data managers can be confident that researchers are only accessing and [working with](https://docs.redivis.com/reference/data-access/usage-rules.md) datasets, pursuant to those rules.

## In this section

* All users of Redivis should develop an understanding of [access level concepts](https://docs.redivis.com/reference/data-access/access-levels.md)
* Organization administrators and dataset owners can learn about [configuring access](https://docs.redivis.com/reference/data-access/configuring-access.md)
* Researchers can learn about how to [request access](https://docs.redivis.com/reference/data-access/requesting-access.md)
* Administrators and data owners can learn how to [approve access requests](https://docs.redivis.com/reference/data-access/approving-access.md)
* [Export restrictions](https://docs.redivis.com/reference/data-access/usage-rules.md#data-exports) can be used to limit how data can be exported from Redivis


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/reference/data-access.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
